Bump argon version and make argon an optional dependency